Issue 16242

Summary: When setting a paragraph style, there is no preview of the hebrew/arabic font
Product: Internationalization Reporter: sforbes <xslf>
Component: BiDiAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: ccheng, frank.loehmann, hanshuwang, issues, jeongkyu.kim, kaplanlior, mehlng, rafaella.braconi, serena.xiao, victor
Version: OOo 1.1 Beta2   
Target Milestone: 3.4.1   
Hardware: PC   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 79434    
Attachments:
Description Flags
Screen shot- notice that only the roman font (palatino) is in the preview, and the hEbrew (narkisim) is missing
none
suggested fix
none
AR translation none

Description sforbes 2003-06-30 13:47:57 UTC
When setting a paragraph style, there is no preview of the hebrew font. This
makes matching of fonts between scripts extremely difficult.

To repro:
* make sure that the style palette is displayed.
* right click a style and choose "modify" (I  chose the default style)
* select the font tab
* choose a font for roman text
* choose a font for Hebrew text
* notice that the preview only displayes the roman font, not the hebrew one

See attached screen shot (OpenOffice write 1.1 beta 2, gnome 2.2, red hat 9)
Comment 1 sforbes 2003-06-30 13:48:56 UTC
Created attachment 7254 [details]
Screen shot- notice that only the roman font (palatino) is in the preview, and the hEbrew (narkisim) is missing
Comment 2 Dieter.Loeschky 2003-08-14 13:16:49 UTC
DL->FME: Could you please takeover?
Comment 3 frank.meies 2003-08-14 14:06:20 UTC
FME->FT: Please have a look.
Comment 4 frank.meies 2003-08-14 14:07:10 UTC
.
Comment 5 falko.tesch 2003-08-15 12:51:13 UTC
Hi Shoshannah, you are right!
Here's what I propose:
Once CTL support is enabled all preview boxes will carry Western _and_
Arabic sample text.
This at least is the way Word does it.
drawback: There will always be Arabic script to be the placeholder
sample text (no Hebrew). This might lead into problems with "Hebrew
only " fonts.
What do you think/propose?
Comment 6 mehlng 2003-08-15 13:08:57 UTC
The obvious sollution is having the default charset of the font
display. I'm not a much of a font master so I'm not sure exactly how
are they built.
Comment 7 sforbes 2003-08-15 17:24:13 UTC
>This at least is the way Word does it.

Word has western and bidi (Hebrew or Arabic, depends on the font used)
previews, as Arabic preview is not much of use for a Hebrew reader and
vice versa (anyway, most common fonts have either Arabic or Hebrew
glyphs, but not both).

I say, that when CTL is enabled:
* if the bidi font has either Arabic or Hebrew glyphs, use the
languages it has
* If it has both, go by the local settings OO has (or perhaps just
show both, as we don't if the user want Hebrew or Arabic)

Comment 8 sforbes 2003-08-15 17:25:42 UTC
.
Comment 9 falko.tesch 2003-10-06 10:25:11 UTC
In case of BiDi fonts we need to display Wetern _and_ BiDi smaple text
in preview boxes of "Font" dialogue(s).
This enables he user to see what to expect with the text written, also
in case it is Arabic or Hebrew.
Settings:
1. CTL support _must_ be enabled for this feature!
2. The CTL locale must be set to Arabic or Hebrew, otherwise _no_ RTL
text must be shown in any preview box.
3a. If the CTL locale is Arabic then Arabic text is used for preview.
3b. If the CTL locale is Hebrew then Hebrew text is used for preview.
4. In case the chosen text/font is not available within the chosen
font _no_ RTL sample will be shown within the preview

FT->Shoshannah: Do you agree?
Comment 10 sforbes 2003-10-08 21:12:58 UTC
Looks ok, althugh I am not sure about the case with CTL enabled but not Hebrew 
local- I know that many linux users do not select the Hebrew local, althugh they are 
working in Hebrew.

Perhaps if no ctl local is chosen, we should display preview in the avalible font 
glyphs? in most cases, fonts will have only Hebrew or Arabic anyway (the exception 
will be MS core fonts, which have both Hebrew and Arabic- would it be possible to 
display both in that case?
Comment 11 falko.tesch 2003-10-15 13:40:54 UTC
In case of BiDi fonts we need to display Wetern _and_ BiDi sample text
in preview boxes of "Font" dialogue(s).
This enables the user to see what to expect with the text written,
also in case it is Arabic or Hebrew.
Settings:
1. CTL support _must_ be enabled for this feature!
2. The CTL locale must be set to Arabic or Hebrew, otherwise _no_ RTL
text must be shown in any preview box.
3a. If the CTL locale is Arabic then Arabic text is used for preview.
3b. If the CTL locale is Hebrew then Hebrew text is used for preview.
4. In case the chosen text/font is not available within the chosen
font _no_ RTL sample will be shown within the preview

Please give approval for this evaluated OO.o 2.0 flagged issue. 
If you confirm with the target OO.o 2.0, then please keep it on your
owner (or the owner of the concerning developer) for implementation.
In case you want this issue for 'OOo Later', then please reset the
target milestone. If you decline the issue finally, please set the
resolution to 'Wontfix' (but do not close). In case of 'OOo Later' or
'Wontfix' please reset it on Bettina's owner. Thank you.
Comment 12 Oliver Specht 2003-10-15 15:55:04 UTC
os-ft: Your proposal sounds good but has some problems:
- The preview currently shows the name of the font. What should be
displayed for CTL? The font name is often neither Arabic nor Hebrew.
- At the dialog level it is not (or not easily) possible to determine
which glyphs the font supports. So detecting if a the preview string
can be displayed may be problematic. 
- I need a spec for it.
Comment 13 sforbes 2003-12-03 11:03:31 UTC
this is present in the tkos l10n version as well, where it really
stands out.
Comment 14 Martin Hollmichel 2004-05-28 17:52:25 UTC
according to the announcement on releases
(http://www.openoffice.org/servlets/ReadMsg?list=releases&msgNo=7503) this issue
will be re-targeted to OOo Later.
Comment 15 falko.tesch 2005-10-20 21:02:49 UTC
FT: I'm leaving so I will re-assign this issue to requirement default user
Comment 16 stefan.baltzer 2007-03-30 18:00:27 UTC
SBA: (I looked at SRC680m205) The preview without having a selection is always
the Western font name. The workaround is to have a CTL text string selected.
Then the change of the CTL font is applied in the dialog preview. Having mixed
string selected shows both fonts at the same time. 
In my opinion this makes more sense for the user anyway than selecting the CTL
font based on a WESTERN text string.
I am aware of CJK localized font names, but I haven't heard of fonts having
their names in the respective CTL language embedded (that would make a
meaningful string to display). But I may be wrong.


Comment 17 Joost Andrae 2008-07-09 11:15:45 UTC
retarget to 3.1
Something for OS
Comment 18 Mathias_Bauer 2008-07-17 15:12:15 UTC
So OS should get it. :-)
Comment 19 Oliver Specht 2008-07-21 07:02:21 UTC
->FL: After lots of discussion it is still unclear what should be implemented.
I propose to have sample texts in Arabic and Hebrew and show them depending on
the locale set for CTL within the same dialog. 
The same should be done for CJK as this is the same problem.  
Comment 20 Oliver Specht 2008-10-24 10:22:39 UTC
Created attachment 57429 [details]
suggested fix
Comment 21 frank.loehmann 2008-10-24 11:07:03 UTC
FL->RB: I have discussed this issue with OS and we agreed to show up to three
different demo strings in the character tab page, if support for CTL and CJK is
enabled. Therefore we need the string "Example" in Arabic, Hebrew, Chinese
trad., Chinese simpl., Korean and Japanese. For western languages we will keep
the currently shown font name as demo text. Could you please provide us the
translated strings or advise us how to process in this case. Tank you!
Comment 22 frank.loehmann 2008-10-24 11:07:22 UTC
FL->RB: I have discussed this issue with OS and we agreed to show up to three
different demo strings in the character tab page, if support for CTL and CJK is
enabled. Therefore we need the string "Example" in Arabic, Hebrew, Chinese
trad., Chinese simpl., Korean and Japanese. For western languages we will keep
the currently shown font name as demo text. Could you please provide us the
translated strings or advise us how to process in this case. Thank you!
Comment 23 munzirtaha 2008-10-24 14:06:39 UTC
I think it's better to display a sentence that contains all the language letters
like

أبجد هوز حطي كلمن سعفص قرشت ثخذ ضظغ

for the Arabic language.
Comment 24 Martin Hollmichel 2009-04-17 15:22:45 UTC
reassign
Comment 25 thorsten.ziehm 2009-11-05 08:39:43 UTC
Wrong owner! Coni = Rafaella Braconi.
I changed the target of this issue to OOo 3.3. OOo 3.2 is in show-stopper stage
and only critical issues will be accepted. Please try to find a solution for OOo
3.3. If this isn't possible please change the target to OOo 3.x.
Comment 26 kaplanlior 2010-08-19 22:49:05 UTC
this bug has 3.3 tag, any news about it? 3.3beta is already out...
Comment 27 rafaella.braconi 2010-08-20 14:52:33 UTC
Can you please specify what you exactly need to proceed? It's the one word
*Example* only? Pls specify format / encoding for the translated word as well. Thx!
Comment 28 kaplanlior 2010-08-21 12:41:57 UTC
Encoding should by UTF-8 in any case.

I check what Word has, and it just have Sample in English and the translated
word for it in Hebrew. That would be fine for me.

You can even have the string "example text" and let the translators decide what
should appear instead through they translation.
Comment 29 frank.loehmann 2010-09-28 11:00:17 UTC
fl->coni: Please provide the string 'sample text' at least in: Arabic, Hebrew,
Korean, Vietnamese, Chinese simpl. and Chinese trad.

If it is easier please provide all possible translations in UTF-8 encoding.
Comment 30 rafaella.braconi 2011-03-16 14:03:06 UTC
@Nguyen Hung Vu, Lior, Shuwang HAN, Victor, Jeongkyu Kim:


can you please provide translations as html UTF-8 encoded text of:

English:
Sample text

into following languages:

Hebrew, Vietnamese, Chinese Simplified, Chinese Traditional, Korean

Thanks!
Comment 31 jeongkyu.kim 2011-03-16 14:06:21 UTC
@coni:

Here is Korean.

예제 텍스트
Comment 32 serena.xiao 2011-03-17 04:16:08 UTC
The translation for Simplified Chinese:

示例文本

Thanks

Serena
Comment 33 ccheng 2011-03-18 03:31:59 UTC
Hi,

In traditional Chinese, it is 

示範文字

Regards,
Chester

(In reply to comment #30)
> @Nguyen Hung Vu, Lior, Shuwang HAN, Victor, Jeongkyu Kim:
> 
> 
> can you please provide translations as html UTF-8 encoded text of:
> 
> English:
> Sample text
> 
> into following languages:
> 
> Hebrew, Vietnamese, Chinese Simplified, Chinese Traditional, Korean
> 
> Thanks!
Comment 34 ccheng 2011-03-18 03:34:20 UTC
Oh, correction!

It's 範例文字.  (Not in the working mood on Fridays...)

Sorry about the confusion.

Regards,
Chester

(In reply to comment #33)
> Hi,
> 
> In traditional Chinese, it is 
> 
> 示範文字
> 
> Regards,
> Chester
>
Comment 35 rafaella.braconi 2011-03-18 15:36:22 UTC
Created attachment 76145 [details]
AR translation

Attaching Arabis translation.

Languages still missing are Hebrew and Vietnamese.
Comment 36 kaplanlior 2011-03-22 07:16:45 UTC
Hebrew:

טקסט לדוגמה

Thanks,

Kaplan
Comment 37 Marcus 2017-05-20 11:30:07 UTC
Reset assigne to the default "issues@openoffice.apache.org".